#include <iostream>
#include <algorithm>
#include <utility>
#include <vector>
#include <set>
#include <map>
#include <random>
#include <chrono>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#define allv(x) (x).begin(), (x).end()
#define allv_rev(x) (x).rbegin(), (x).rend()
#define lolset(x) memset(x, 0, sizeof (x))
#define lolfill(x, v) fill(x, x + sizeof(x) / sizeof(*x), v)
#define sz(x) ((int)(x).size())
using namespace std;
using ll = long long;
using ull = unsigned long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;
mt19937 rnd(chrono::system_clock::now().time_since_epoch().count());
template<typename T, typename T2>
bool smin(T &a, T2 const& b) {
    if (b < a) {
        a = b;
        return true;
    }
    return false;
}
template<typename T, typename T2>
bool smax(T &a, T2 const& b) {
    if (a < b) {
        a = b;
        return true;
    }
    return false;
}
template<typename T>
using ordered_set = __gnu_pbds::tree<T, __gnu_pbds::null_type, less<T>, __gnu_pbds::rb_tree_tag, __gnu_pbds::tree_order_statistics_node_update>;

template<typename T>
istream &operator>>(istream &is, vector<T> &v) {
    for (T &i : v)
        is >> i;
    return is;
}




#ifdef DEBUG
const ll MAXN = 57, INF = 1e6;
#else
const ll MAXN = 2010, INF = 1e9 + 1e6 * 228;
#define cerr if (0) cerr
#endif


int n, m;
vector<int> g[MAXN];
bool used[MAXN];
int tin[MAXN], tout[MAXN];
int tin_counter = 0;
int ans = 0;

void dfs(int v, bool is_rt) {
    used[v] = true;
    tin[v] = tin_counter++;
    for (int u : g[v]) {
        if (!used[u]) {
            dfs(u, false);
        } else if (tin[u] > tin[v] && is_rt) {
            ans++;
        }
    }
    tout[v] = tin_counter++;
}


signed one() {
    int n, m, grpno;
    cin >> n >> m >> grpno;
    cout << m << endl;
    return 0;
}



signed main() {
#ifndef DEBUG
    ios_base::sync_with_stdio(0);
    cin.tie(0);
#endif
    signed t;
    t = 1;
    while (t--) {
        signed retcode = one();
        if (retcode) return retcode;
    }
    return 0;
}
